import { ScriptTarget } from 'typescript';
export interface Config {
    configFile?: string;
    input: InputConfig;
    outputFile?: string;
    target: ScriptTarget;
    outputAST: boolean;
    plugins: {
        [pluginName: string]: boolean | Record<string, unknown>;
    };
}
interface InputConfig {
    files: string[];
    urls: string[];
    stdin: boolean;
}
export type PartialConfig = Omit<Partial<Config>, 'input'> & {
    input?: Partial<InputConfig>;
};
declare let config: Config;
export declare function setConfig(input: PartialConfig): void;
export declare function clearToDefault(): void;
export declare function showConfig(version: string, c: Config): Promise<void>;
export default config;
