"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.buildTypeTree = void 0;
function buildTypeTree(schemas) {
    const tree = buildTree();
    for (const type of schemas) {
        setTypeToTree(tree, type.id.toNames(), type);
    }
    if (tree.children.size === 0) {
        throw new Error('There is no schema in the input contents.');
    }
    return tree;
}
exports.buildTypeTree = buildTypeTree;
function setTypeToTree(tree, paths, type) {
    if (paths.length === 0) {
        throw new Error('The paths is nothing for set the type to TypeTree.');
    }
    let t = tree;
    for (const key of paths) {
        let next = t.children.get(key);
        if (next === undefined) {
            next = buildTree();
            t.children.set(key, next);
        }
        t = next;
    }
    t.schema = type;
}
function buildTree() {
    return {
        children: new Map(),
    };
}
